Bug 864393 - For LDAP authentication, "Number of Logins" section displays each successful login incremented twice
For LDAP authentication, "Number of Logins" section displays each successful ...
Status: MODIFIED
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
1.1.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Angus Thomas
Rehana
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 06:34 EDT by Ramesh A
Modified: 2013-06-24 07:34 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ramesh A 2012-10-09 06:34:35 EDT
Description of problem:
"Number of Logins" section displays cumulative count of successful and failed login attempts made as oppposed to successful logins

Observed with both Windows AD and IPA authentications

How reproducible:

Steps to Reproduce:
1. Login with valid with LDAP user (with correct and wrong password) attempts
2. After the successful login check the "Number of Logins" in the user details page

  
Actual results:
Displays the "Number of Logins" count is cumulative count of successful and failed login attempts

Expected results:
Should display only the successful login attempts

Additional info:

rpm -qa|grep aeolus
aeolus-conductor-0.13.16-1.el6cf.noarch
aeolus-conductor-doc-0.13.16-1.el6cf.noarch
aeolus-all-0.13.16-1.el6cf.noarch
rubygem-aeolus-cli-0.7.3-1.el6cf.noarch
aeolus-configure-2.8.8-1.el6cf.noarch
aeolus-conductor-devel-0.13.16-1.el6cf.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-conductor-daemons-0.13.16-1.el6cf.noarch
Comment 2 Ramesh A 2012-10-09 07:23:23 EDT
Sorry for the mis interpretation earlier (as in description), the issue is, each successful login is incremented twice.

Steps to Reproduce:
Check the "Number of Logins" after each successful login(after failed/successful attempts)

Actual Results:
Each successful login is incremented twice
Comment 3 Tomas Hrcka 2012-10-11 05:51:29 EDT
fixed in upstream 368e3f36642ba10bd10f16dd9781a381ae4dae22

Note You need to log in before you can comment on or make changes to this bug.